org.gnome.pango

## Class EllipsizeMode

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.pango.EllipsizeMode

-     public final class EllipsizeMode
      extends org.freedesktop.bindings.Constant

  Those constants specify what sort of ellipsization should be applied to a line of text. In the ellipsization process characters are removed from the text in order to make it fit to a given width and replaced with an ellipsis (...).
  Since:
    4.0.13
  Author:
    Guillaume Mazoyer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EllipsizeMode` | `END` Omit characters at the end of the text.
    `static EllipsizeMode` | `MIDDLE` Omit characters in the middle of the text.
    `static EllipsizeMode` | `NONE` No ellipsization.
    `static EllipsizeMode` | `START` Omit characters at the start of the text.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### END

          public static final EllipsizeMode END

      Omit characters at the end of the text.

    - #### MIDDLE

          public static final EllipsizeMode MIDDLE

      Omit characters in the middle of the text.

    - #### NONE

          public static final EllipsizeMode NONE

      No ellipsization.

    - #### START

          public static final EllipsizeMode START

      Omit characters at the start of the text.